## IdeSearchResult IdeSearchResult |

## Functions

#define | IDE_TYPE_SEARCH_RESULT
IdeSearchResult * | ide_search_result_new ()
IdeSearchProvider * | ide_search_result_get_provider ()
gfloat | ide_search_result_get_score ()
const gchar * | ide_search_result_get_title ()
const gchar * | ide_search_result_get_subtitle ()
gint | ide_search_result_compare ()
void | ide_search_result_activate ()

## Properties

IdeSearchProvider * | provider | Read / Write
gfloat | score | Read / Write / Construct Only
gchar * | subtitle | Read / Write / Construct Only
gchar * | title | Read / Write / Construct Only

## Types and Values

struct | IdeSearchResultClass
| IdeSearchResult

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeSearchResult

## Description

## Functions

### IDE_TYPE_SEARCH_RESULT

    #define IDE_TYPE_SEARCH_RESULT (ide_search_result_get_type())

### ide_search_result_new ()

    IdeSearchResult *
    ide_search_result_new (IdeSearchProvider *provider,
                           const gchar *title,
                           const gchar *subtitle,
                           gfloat score);

### ide_search_result_get_provider ()

    IdeSearchProvider *
    ide_search_result_get_provider (IdeSearchResult *result);

Gets the provider that created the search result.

#### Parameters

result | A IdeSearchResult. |

#### Returns

An IdeSearchProvider.

[transfer none]

### ide_search_result_get_score ()

    gfloat
    ide_search_result_get_score (IdeSearchResult *result);

### ide_search_result_get_title ()

    const gchar *
    ide_search_result_get_title (IdeSearchResult *result);

### ide_search_result_get_subtitle ()

    const gchar *
    ide_search_result_get_subtitle (IdeSearchResult *result);

### ide_search_result_compare ()

    gint
    ide_search_result_compare (const IdeSearchResult *a,
                               const IdeSearchResult *b);

### ide_search_result_activate ()

    void
    ide_search_result_activate (IdeSearchResult *result);

## Types and Values

### struct IdeSearchResultClass

    struct IdeSearchResultClass {
      IdeObjectClass parent;

      void (*activate) (IdeSearchResult *result);
    };

### IdeSearchResult

    typedef struct _IdeSearchResult IdeSearchResult;

## Property Details

### The `“provider”` property

      “provider”                 IdeSearchProvider *

The Search Provider.

Flags: Read / Write

### The `“score”` property

      “score”                    gfloat

The score of the search result.

Flags: Read / Write / Construct Only

Allowed values: [0,1]

Default value: 0

### The `“subtitle”` property

      “subtitle”                 gchar *

The subtitle of the search result.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“title”` property

      “title”                    gchar *

The title of the search result.

Flags: Read / Write / Construct Only

Default value: NULL